The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Download invalid Rule Members CSV file

Prev Next

This URL downloads a CSV file containing a list of invalid rule members.

Resource URL

GET /ruleobject/downloadInvalidROMembers?ruleObjectId=<ruleobject_id>

Request Parameters

URL Parameters

Field Name

Description

Data Type

Mandatory

ruleobject_id

Rule object ID

Number

Yes

Note

Make sure to set the Accept header value to application/octet-stream.

Response Parameters

None

Field Name

Description

Data Type

errorId

ID of the SDK API error

String

errorMessage

Error message displayed in the response if there are no invalid entries

String

Example

Request

GET https://<NSM_IP>/sdkapi/ruleobject/downloadInvalidROMembers?ruleObjectId=235

Response if there are invalid entries

2001::1, test incorrect 1
10.1.1.1000, test incorrect 2
5.182.210,Testing purpose
5.183.209,Testing purpose
5.199.143,Testing purpose
18.27.197,Testing purpose
23.129.64,Testing purpose

Response if there are no invalid entries

{
    "errorId": 1001,
    "errorMessage": "Internal Error - File Not Found !!!"
}

Note

If the rule object does not contain invalid rule members, then CSV file will not be created. In such case, an error is displayed as shown in the above response.

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal Error - File Not Found !!!